POST api/LookUps/SearchVideo

Request Information

URI Parameters

None.

Body Parameters

VideoSearchViewModel
NameDescriptionTypeAdditional information
RowCount

integer

None.

PageNumber

integer

None.

Search

string

None.

UserId

integer

None.

VideoId

integer

None.

MyCourses

integer

None.

PCategory

string

None.

CCategory

string

None.

IsHomePage

boolean

None.

VideoCategoryViewModel

Collection of VideoCategoryViewModel

None.

Request Formats

application/json, text/json

Sample:
{
  "rowCount": 1,
  "pageNumber": 2,
  "search": "sample string 3",
  "userId": 4,
  "videoId": 5,
  "myCourses": 6,
  "pCategory": "sample string 7",
  "cCategory": "sample string 8",
  "isHomePage": true,
  "videoCategoryViewModel": [
    {
      "$id": "2",
      "courseCategoryId": 1,
      "videoId": 2,
      "courseParentCategoryId": 3,
      "courseChildCategoryId": 4
    },
    {
      "$ref": "2"
    }
  ]
}

application/xml, text/xml

Sample:
<VideoSearchViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Yesgurji.ViewModel">
  <CCategory>sample string 8</CCategory>
  <IsHomePage>true</IsHomePage>
  <MyCourses>6</MyCourses>
  <PCategory>sample string 7</PCategory>
  <PageNumber>2</PageNumber>
  <RowCount>1</RowCount>
  <Search>sample string 3</Search>
  <UserId>4</UserId>
  <VideoCategoryViewModel>
    <VideoCategoryViewModel>
      <CourseCategoryId>1</CourseCategoryId>
      <CourseChildCategoryId>4</CourseChildCategoryId>
      <CourseParentCategoryId>3</CourseParentCategoryId>
      <VideoId>2</VideoId>
    </VideoCategoryViewModel>
    <VideoCategoryViewModel>
      <CourseCategoryId>1</CourseCategoryId>
      <CourseChildCategoryId>4</CourseChildCategoryId>
      <CourseParentCategoryId>3</CourseParentCategoryId>
      <VideoId>2</VideoId>
    </VideoCategoryViewModel>
  </VideoCategoryViewModel>
  <VideoId>5</VideoId>
</VideoSearchViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.